<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_rt_2022-11-01.xsd#rol_CTELabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_BuySellTransactionCL" xlink:label="BuySellTransactionCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_NotesOnBusinessRestructuringExpensesTextBlock" xlink:label="NotesOnBusinessRestructuringExpensesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_BusinessRestructuringCostsEL" xlink:label="BusinessRestructuringCostsEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DisposalOfTreasuryStockToStockBenefitTrust" xlink:label="DisposalOfTreasuryStockToStockBenefitTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_AcquisitionOfTreasuryStockByStockTransferTrust" xlink:label="AcquisitionOfTreasuryStockByStockTransferTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_ChemicalProductsReportableSegmentsMember" xlink:label="ChemicalProductsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_BuildingMaterialsReportableSegmentsMember" xlink:label="BuildingMaterialsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" xlink:label="DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_OtherCL" xlink:label="OtherCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_GovernanceTextBlock" xlink:label="GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_StrategyTextBlock" xlink:label="StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_ReferenceToOtherInformationStrategy" xlink:label="ReferenceToOtherInformationStrategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_RiskManagementTextBlock" xlink:label="RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_ReferenceToOtherInformationRiskManagement" xlink:label="ReferenceToOtherInformationRiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_MetricsAndTargetsTextBlock" xlink:label="MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" xlink:label="ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DisposalOfTreasuryStockThroughAStockTrust" xlink:label="DisposalOfTreasuryStockThroughAStockTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_OnoYujiMember" xlink:label="OnoYujiMember" />
    <link:label xlink:type="resource" xlink:label="label_OtherCL" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_OtherCL">有償支給取引に係る負債</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherCL" xlink:to="label_OtherCL" />
    <link:label xlink:type="resource" xlink:label="label_OtherCL_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_OtherCL_2">有償支給取引に係る負債</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherCL" xlink:to="label_OtherCL_2" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DisposalOfTreasuryStockByStockBenefitTrust" xlink:label="DisposalOfTreasuryStockByStockBenefitTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_EbiharaKenjiMember" xlink:label="EbiharaKenjiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_OmuraNobuyukiMember" xlink:label="OmuraNobuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_ShimizuAyakoMember" xlink:label="ShimizuAyakoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_MoriRyojiMember" xlink:label="MoriRyojiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_MiyamotoShojiMember" xlink:label="MiyamotoShojiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_YamamotoMitsukoMember" xlink:label="YamamotoMitsukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_IwatukaYujiMember" xlink:label="IwatukaYujiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_KanieHiroshiMember" xlink:label="KanieHiroshiMember" />
    <link:label xlink:type="resource" xlink:label="label_BuySellTransactionCL" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BuySellTransactionCL">有償支給取引に係る負債</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BuySellTransactionCL" xlink:to="label_BuySellTransactionCL" />
    <link:label xlink:type="resource" xlink:label="label_BuySellTransactionCL_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BuySellTransactionCL_2">有償支給取引に係る負債、流動負債</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BuySellTransactionCL" xlink:to="label_BuySellTransactionCL_2" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF">転換社債型新株予約権付社債の発行による収入</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" xlink:to="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF_2">転換社債型新株予約権付社債の発行による収入、財務活動によるキャッシュ・フロー</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" xlink:to="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2">サステナビリティに関する考え方及び取組</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading">サステナビリティに関する考え方及び取組 [目次項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2">サステナビリティに関する考え方及び取組</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock">サステナビリティに関する考え方及び取組 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceTextBlock_2">ガバナンス</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceTextBlock">ガバナンス [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyTextBlock_2">戦略</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyTextBlock">戦略 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategy_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationStrategy_2">他の記載への参照</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategy" xlink:to="label_ReferenceToOtherInformationStrategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategy" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationStrategy">他の記載への参照、戦略</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategy" xlink:to="label_ReferenceToOtherInformationStrategy" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2">人材の育成及び社内環境整備に関する方針</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock">人材の育成及び社内環境整備に関する方針、戦略 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementTextBlock_2">リスク管理</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementTextBlock">リスク管理 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationRiskManagement_2">他の記載への参照</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationRiskManagement">他の記載への参照、リスク管理</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsTextBlock_2">指標及び目標</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsTextBlock">指標及び目標 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2">人材の育成及び社内環境整備に関する方針に関する指標の内容並びに当該指標を用いた目標及び実績</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock">人材の育成及び社内環境整備に関する方針に関する指標の内容並びに当該指標を用いた目標及び実績、指標及び目標 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesOnBusinessRestructuringExpensesTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesOnBusinessRestructuringExpensesTextBlock">事業再構築費用に関する注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesOnBusinessRestructuringExpensesTextBlock" xlink:to="label_NotesOnBusinessRestructuringExpensesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesOnBusinessRestructuringExpensesTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesOnBusinessRestructuringExpensesTextBlock_2">事業再構築費用に関する注記 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesOnBusinessRestructuringExpensesTextBlock" xlink:to="label_NotesOnBusinessRestructuringExpensesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember">取締役（監査等委員）（社外取締役を除く）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" xlink:to="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" />
    <link:label xlink:type="resource" xlink:label="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember_2">取締役（監査等委員）（社外取締役を除く） [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" xlink:to="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ChemicalProductsReportableSegmentsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ChemicalProductsReportableSegmentsMember">化成品</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChemicalProductsReportableSegmentsMember" xlink:to="label_ChemicalProductsReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_ChemicalProductsReportableSegmentsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ChemicalProductsReportableSegmentsMember_2">化成品、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChemicalProductsReportableSegmentsMember" xlink:to="label_ChemicalProductsReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_BuildingMaterialsReportableSegmentsMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BuildingMaterialsReportableSegmentsMember">建装建材</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BuildingMaterialsReportableSegmentsMember" xlink:to="label_BuildingMaterialsReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_BuildingMaterialsReportableSegmentsMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BuildingMaterialsReportableSegmentsMember_2">住器建材、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BuildingMaterialsReportableSegmentsMember" xlink:to="label_BuildingMaterialsReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany">保有目的、業務提携等の概要、定量的な保有効果及び株式数が増加した理由</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2">保有目的、業務提携等の概要、定量的な保有効果及び株式数が増加した理由、保有目的が純投資目的以外の目的である特定投資株式の明細、提出会社</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_BusinessRestructuringCostsEL_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BusinessRestructuringCostsEL_2">事業再構築費用</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BusinessRestructuringCostsEL" xlink:to="label_BusinessRestructuringCostsEL_2" />
    <link:label xlink:type="resource" xlink:label="label_BusinessRestructuringCostsEL" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BusinessRestructuringCostsEL">事業再構築費用、特別損失</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BusinessRestructuringCostsEL" xlink:to="label_BusinessRestructuringCostsEL" />
    <link:label xlink:type="resource" xlink:label="label_OnoYujiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OnoYujiMember">小野　勇治 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OnoYujiMember" xlink:to="label_OnoYujiMember" />
    <link:label xlink:type="resource" xlink:label="label_OnoYujiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OnoYujiMember_2">小野　勇治</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OnoYujiMember" xlink:to="label_OnoYujiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_EbiharaKenjiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EbiharaKenjiMember">海老原　健治</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EbiharaKenjiMember" xlink:to="label_EbiharaKenjiMember" />
    <link:label xlink:type="resource" xlink:label="label_EbiharaKenjiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EbiharaKenjiMember_2">海老原　健治 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EbiharaKenjiMember" xlink:to="label_EbiharaKenjiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OmuraNobuyukiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OmuraNobuyukiMember">大村　信幸 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OmuraNobuyukiMember" xlink:to="label_OmuraNobuyukiMember" />
    <link:label xlink:type="resource" xlink:label="label_OmuraNobuyukiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OmuraNobuyukiMember_2">大村　信幸</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OmuraNobuyukiMember" xlink:to="label_OmuraNobuyukiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IwatukaYujiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IwatukaYujiMember">岩塚　祐二 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IwatukaYujiMember" xlink:to="label_IwatukaYujiMember" />
    <link:label xlink:type="resource" xlink:label="label_IwatukaYujiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IwatukaYujiMember_2">岩塚　祐二</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IwatukaYujiMember" xlink:to="label_IwatukaYujiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KanieHiroshiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KanieHiroshiMember">蟹江　浩嗣 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KanieHiroshiMember" xlink:to="label_KanieHiroshiMember" />
    <link:label xlink:type="resource" xlink:label="label_KanieHiroshiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KanieHiroshiMember_2">蟹江　浩嗣</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KanieHiroshiMember" xlink:to="label_KanieHiroshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ShimizuAyakoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ShimizuAyakoMember">清水　綾子</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimizuAyakoMember" xlink:to="label_ShimizuAyakoMember" />
    <link:label xlink:type="resource" xlink:label="label_ShimizuAyakoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ShimizuAyakoMember_2">清水　綾子 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimizuAyakoMember" xlink:to="label_ShimizuAyakoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MoriRyojiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MoriRyojiMember">森　良二 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MoriRyojiMember" xlink:to="label_MoriRyojiMember" />
    <link:label xlink:type="resource" xlink:label="label_MoriRyojiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MoriRyojiMember_2">森　良二</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MoriRyojiMember" xlink:to="label_MoriRyojiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MiyamotoShojiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MiyamotoShojiMember">宮本　正司</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyamotoShojiMember" xlink:to="label_MiyamotoShojiMember" />
    <link:label xlink:type="resource" xlink:label="label_MiyamotoShojiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MiyamotoShojiMember_2">宮本　正司 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyamotoShojiMember" xlink:to="label_MiyamotoShojiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YamamotoMitsukoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YamamotoMitsukoMember">山本　光子</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamamotoMitsukoMember" xlink:to="label_YamamotoMitsukoMember" />
    <link:label xlink:type="resource" xlink:label="label_YamamotoMitsukoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YamamotoMitsukoMember_2">山本　光子</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamamotoMitsukoMember" xlink:to="label_YamamotoMitsukoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisposalOfTreasuryStockToStockBenefitTrust">株式給付信託に対する自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_2">株式給付信託に対する自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_2" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_3" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_3">株式給付信託に対する自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_3" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_4" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_4">株式給付信託に対する自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_4" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_5" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/negativeLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_5">株式給付信託に対する自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_5" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_6" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_6">株式給付信託に対する自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_6" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_7" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_7">株式給付信託に対する自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_7" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_8" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/documentation" id="label_DisposalOfTreasuryStockToStockBenefitTrust_8">株式給付信託に対する自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_8" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_9" xml:lang="ja" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" id="label_DisposalOfTreasuryStockToStockBenefitTrust_9">株式給付信託に対する自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_9" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AcquisitionOfTreasuryStockByStockTransferTrust">株式給付信託による自己株式の取得</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_2">株式給付信託による自己株式の取得</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_2" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_3" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_3">株式給付信託による自己株式の取得</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_3" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_4" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_4">株式給付信託による自己株式の取得</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_4" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_5" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/negativeLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_5">株式給付信託による自己株式の取得</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_5" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_6" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_6">株式給付信託による自己株式の取得</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_6" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_7" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_7">株式給付信託による自己株式の取得</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_7" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_8" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/documentation" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_8">株式給付信託による自己株式の取得</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_8" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_9" xml:lang="ja" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_9">株式給付信託による自己株式の取得</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_9" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisposalOfTreasuryStockByStockBenefitTrust_2">株式給付信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_2" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_3" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_3">株式給付信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_3" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_4" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_4">株式給付信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_4" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_5" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_5">株式給付信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_5" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_6" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/negativeLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_6">株式給付信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_6" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_7" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_7">株式給付信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_7" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_8" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_8">株式給付信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_8" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_9" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/documentation" id="label_DisposalOfTreasuryStockByStockBenefitTrust_9">株式給付信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_9" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust" xml:lang="ja" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" id="label_DisposalOfTreasuryStockByStockBenefitTrust">株式給付信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockThroughAStockTrust" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisposalOfTreasuryStockThroughAStockTrust">株式信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockThroughAStockTrust" xlink:to="label_DisposalOfTreasuryStockThroughAStockTrust" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockThroughAStockTrust_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisposalOfTreasuryStockThroughAStockTrust_2">株式信託による自己株式の処分</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockThroughAStockTrust" xlink:to="label_DisposalOfTreasuryStockThroughAStockTrust_2" />
  </link:labelLink>
</link:linkbase>